### Property

# Adw Sidebar:items

since: 1.9

#### Declaration

    property items: Gtk.SelectionModel [ read ]

#### Description [src]

A list model with the sidebar’s items.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel` and creates sections corresponding to the sidebar’s sections.

The model also implements `GtkSelectionModel` and can be used to track and change the selection.

To only track sections, use `AdwSidebar:sections` instead.

Type:`GtkSelectionModel`

Available since: 1.9

Getter method | `adw_sidebar_get_items()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no